gnome-session-inhibit
Prev | Part I. Commands | Next

## Name

gnome-session-inhibit — Inhibit gnome-session functionality

## Synopsis

`gnome-session-inhibit` [OPTION...] [COMMAND]

## Description

gnome-session-inhibit can inhibit certain gnome-session functionality while executing the given COMMAND. To achieve this, it calls the Inhibit() method of the gnome-session D-Bus API and creates an inhibitor. The inhibitor is automatically removed when gnome-session-inhibit exits.

A typical use case is to prevent the session from going idle (and thus locking the screen) while a movie player is running.

## Options

`-h`, `--help`

  Print help and exit

`--version`

  Print version information and exit

`--app-id` ID

  The application id to use when calling the gnome-session Inhibit() method. If this option is not specified, "unknown" is used.

`--reason` REASON

  A human-readable reason to pass along when calling the gnome-session Inhibit() method. If this option is not specified, "not specified" is used.

`--inhibit` ACTION

  ACTION specifies the actions to inhibit. This option can be repeated to inhibit multiple actions. The possible values for an ACTION are: logout, switch-user, suspend, idle, automount. If this option is not specified, "idle" is assumed.

`--inhibit-only`

  Do not launch COMMAND and wait forever instead

`-l`, `--list`

  List the existing inhibitions and exit

## See also

systemd-inhibit(1)

Prev | Up | Next
gnome-session | Home | gnome-session-quit